#ifndef _MMC_H_
#define _MMC_H_

#include "types.h"

//#define SPI_POLLING

// setup pins
void MMC_hw_init(void);
// starts up the MMC card
u08up MMC_init(void);

void mmc_read_sector(u32up s, u08 *buf);
void mmc_write_sector(u32up s, u08 *buf);
void mmc_load_start(u32up s);
u08up mmc_fetch_byte(void);
void mmc_write_start(u32up s);
void mmc_write_byte(u08up b);
void mmc_write_word(u16up b);
void mmc_write_dword(u32up b);
void mmc_complete_read(void);
void mmc_complete_write(void);
void mmc_read_block(u08 *buf, u16up cnt);
void mmc_write_block(u08 *buf, u16up cnt);
u08up mmc_compare_string(u08 *buf, u08up len);

#endif
